package market.Lms.Logistics.vo;

import java.io.Serializable;
import java.util.Date;

import market.Lms.Logistics.mapper.SpmTransportDetailMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="SPM_TRANSPORT_DETAIL", namespace=SpmTransportDetailMapper.class)
public class SpmTransportDetail extends BaseVO implements Serializable {

	
	/**
	 * 
	 */
	private static final long serialVersionUID = 7177614644468029258L;
	private String min_width;
	private String max_width;
	
	private Integer sum_quantity;
	//private Double sum_theoryweight;
	
	private String ordernoHao;
	
	
	public String getOrdernoHao() {
		return ordernoHao;
	}

	public void setOrdernoHao(String ordernoHao) {
		this.ordernoHao = ordernoHao;
	}

	public String getMin_width() {
		return min_width;
	}

	public Integer getSum_quantity() {
		return sum_quantity;
	}

	public void setSum_quantity(Integer sum_quantity) {
		this.sum_quantity = sum_quantity;
	}

	public void setMin_width(String min_width) {
		this.min_width = min_width;
	}

	public String getMax_width() {
		return max_width;
	}

	public void setMax_width(String max_width) {
		this.max_width = max_width;
	}

	/** 装车单号 */
	@Column
	private String outbillno;

	/** 理货单号 */
	@Column
	private String distrbuteno;

	/** 提货单号 */
	@Column("BILL_NO")
	private String billNo;

	/** 提货单子编号 */
	@Column("LINE_NO")
	private String lineNo;

	/** 装车时间 */
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date loaddate;

	/** 装车确认人 */
	@Column
	private String loadoperator;

	/** 卷号 */
	@Column
	private String objectno;

	/** 卷类别(0原料卷、1中间卷、2成品卷) */
	@Column
	private String objectnotype;

	/** 原料卷类型（1酸洗卷、2酸轧卷、3连退卷、4重卷卷、0其它卷） */
	@Column
	private String materailtype;

	/** 原料卷来源（0新钢、1其它） */
	@Column
	private String source;

	/** 原料供应商 */
	@Column
	private String materailsupplier;

	/** 是否装箱 */
	@Column
	private String isbox;

	/** 箱号 */
	@Column("BOX_ID")
	private String boxId;

	/** 包装箱图号 */
	@Column("BOX_DRAWING_NO")
	private String boxDrawingNo;

	/** 批次号 */
	@Column
	private String batchno;

	/** 炉号 */
	@Column
	private String heatno;

	/** 试样号 */
	@Column("SMP_NO")
	private String smpNo;

	/** 管理部门编码 */
	@Column
	private String managementno;

	/** 所属仓库编码 */
	@Column
	private String storageattr;

	/** 品名代码 */
	@Column("PRD_CODE")
	private String prdCode;

	/** 品名描述 */
	@Column("PRD_NAME")
	private String prdName;

	/** 标准号代码 */
	@Column("STD_CODE")
	private String stdCode;

	/** 标准号名称 */
	@Column("STD_NAME")
	private String stdName;

	/** 产品用途代码 */
	@Column("USG_CODE")
	private String usgCode;

	/** 产品用途描述 */
	@Column("USG_NAME")
	private String usgName;

	/** 生产产线编码 */
	@Column
	private String produceline;

	/** 工位号 */
	@Column
	private String postid;

	/** 厚 */
	@Column
	private Double height;

	/** 宽 */
	@Column
	private Double width;

	/** 长 */
	@Column
	private Double length;

	/** 外径 */
	@Column
	private Double diameter;

	/** 内径 */
	@Column
	private Double interdiameter;

	/** 块数 */
	@Column
	private Integer quantity;

	/** 理重 */
	@Column
	private Double theoryweight;

	/** 卷芯重 */
	@Column
	private Double coreweight;

	/** 毛重 */
	@Column
	private Double grossweight;

	/** 包装重 */
	@Column
	private Double packweight;

	/** 实重 */
	@Column
	private Double factweight;

	/** 客户编码 */
	@Column("CUSTOMER_NO")
	private String customerNo;

	/** 客户名称 */
	@Column("CUSTOMER_NM")
	private String customerNm;

	/** 收货单位编码 */
	@Column("RECEIV_NO")
	private String receivNo;

	/** 收货单位名称 */
	@Column("RECEIV_NM")
	private String receivNm;

	/** 销售订单号 */
	@Column
	private String orderno;

	/** 生产订单号 */
	@Column
	private String prodorderno;

	/** 计划牌号 */
	@Column
	private String steelcode;

	/** 判定牌号 */
	@Column
	private String judgesteelcode;

	/** 包装等级 */
	@Column("PACKING_GROUP")
	private String packingGroup;

	/** 成分判定结果 */
	@Column
	private String chemresult;

	/** 公差判定结果 */
	@Column
	private String sizeresult;

	/** 表面检验结果 */
	@Column
	private String surfaceresult;

	/** 重量判定结果 */
	@Column
	private String weightresult;

	/** 综合判定结果 */
	@Column
	private String judgeresult;

	/** 材质判定结果 */
	@Column
	private String physresult;

	/** 探伤判定结果 */
	@Column
	private String spyresult;

	/** 生产时间 */
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date producedate;

	/** 生产班次 */
	@Column
	private String produceorder;

	/** 生产班组 */
	@Column
	private String produceteam;

	/** 入库班次 */
	@Column
	private String inorder;

	/** 入库班组 */
	@Column
	private String inteam;

	/** 入库时间 */
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date indate;

	/** 备注 */
	@Column
	private String memo;

	/** 状态 (0未装 1已装) */
	@Column
	private String state;

	/** 出库单号 */
	@Column
	private String outlistno;

	/** 上传标志 */
	@Column
	private String upflag;

	/** 记录创建者 */
	@Column
	private String creater;

	/** 记录创建时间 */
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createdate;

	/** 记录修改者 */
	@Column
	private String updater;

	/** 记录修改时间 */
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	
	private Date updatedate;
	
	private String chemname;
	private String sizename;
	private String surfname;
	private String steel_name;
	public String getSteel_name() {
		return steel_name;
	}

	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}

	public String getChemname() {
		return chemname;
	}

	public void setChemname(String chemname) {
		this.chemname = chemname;
	}

	public String getSizename() {
		return sizename;
	}

	public void setSizename(String sizename) {
		this.sizename = sizename;
	}

	public String getSurfname() {
		return surfname;
	}

	public void setSurfname(String surfname) {
		this.surfname = surfname;
	}

	public String getWeigname() {
		return weigname;
	}

	public void setWeigname(String weigname) {
		this.weigname = weigname;
	}

	public String getJudgname() {
		return judgname;
	}

	public void setJudgname(String judgname) {
		this.judgname = judgname;
	}

	public String getPhysname() {
		return physname;
	}

	public void setPhysname(String physname) {
		this.physname = physname;
	}

	public String getSpyrname() {
		return spyrname;
	}

	public void setSpyrname(String spyrname) {
		this.spyrname = spyrname;
	}

	private String weigname;
	private String judgname;
	private String physname;
	private String spyrname;

	public String getOutbillno() {
		return this.outbillno;
	}

	public String getDistrbuteno() {
		return this.distrbuteno;
	}

	public String getBillNo() {
		return this.billNo;
	}

	public String getLineNo() {
		return this.lineNo;
	}

	public Date getLoaddate() {
		return this.loaddate;
	}

	public String getLoadoperator() {
		return this.loadoperator;
	}

	public String getObjectno() {
		return this.objectno;
	}

	public String getObjectnotype() {
		return this.objectnotype;
	}

	public String getMaterailtype() {
		return this.materailtype;
	}

	public String getSource() {
		return this.source;
	}

	public String getMaterailsupplier() {
		return this.materailsupplier;
	}

	public String getIsbox() {
		return this.isbox;
	}

	public String getBoxId() {
		return this.boxId;
	}

	public String getBoxDrawingNo() {
		return this.boxDrawingNo;
	}

	public String getBatchno() {
		return this.batchno;
	}

	public String getHeatno() {
		return this.heatno;
	}

	public String getSmpNo() {
		return this.smpNo;
	}

	public String getManagementno() {
		return this.managementno;
	}

	public String getStorageattr() {
		return this.storageattr;
	}

	public String getPrdCode() {
		return this.prdCode;
	}

	public String getPrdName() {
		return this.prdName;
	}

	public String getStdCode() {
		return this.stdCode;
	}

	public String getStdName() {
		return this.stdName;
	}

	public String getUsgCode() {
		return this.usgCode;
	}

	public String getUsgName() {
		return this.usgName;
	}

	public String getProduceline() {
		return this.produceline;
	}

	public String getPostid() {
		return this.postid;
	}

	public Double getHeight() {
		return this.height;
	}

	public Double getWidth() {
		return this.width;
	}

	public Double getLength() {
		return this.length;
	}

	public Double getDiameter() {
		return this.diameter;
	}

	public Double getInterdiameter() {
		return this.interdiameter;
	}

	public Integer getQuantity() {
		return this.quantity;
	}

	public Double getTheoryweight() {
		return this.theoryweight;
	}

	public Double getCoreweight() {
		return this.coreweight;
	}

	public Double getGrossweight() {
		return this.grossweight;
	}

	public Double getPackweight() {
		return this.packweight;
	}

	public Double getFactweight() {
		return this.factweight;
	}

	public String getCustomerNo() {
		return this.customerNo;
	}

	public String getCustomerNm() {
		return this.customerNm;
	}

	public String getReceivNo() {
		return this.receivNo;
	}

	public String getReceivNm() {
		return this.receivNm;
	}

	public String getOrderno() {
		return this.orderno;
	}

	public String getProdorderno() {
		return this.prodorderno;
	}

	public String getSteelcode() {
		return this.steelcode;
	}

	public String getJudgesteelcode() {
		return this.judgesteelcode;
	}

	public String getPackingGroup() {
		return this.packingGroup;
	}

	public String getChemresult() {
		return this.chemresult;
	}

	public String getSizeresult() {
		return this.sizeresult;
	}

	public String getSurfaceresult() {
		return this.surfaceresult;
	}

	public String getWeightresult() {
		return this.weightresult;
	}

	public String getJudgeresult() {
		return this.judgeresult;
	}

	public String getPhysresult() {
		return this.physresult;
	}

	public String getSpyresult() {
		return this.spyresult;
	}

	public Date getProducedate() {
		return this.producedate;
	}

	public String getProduceorder() {
		return this.produceorder;
	}

	public String getProduceteam() {
		return this.produceteam;
	}

	public String getInorder() {
		return this.inorder;
	}

	public String getInteam() {
		return this.inteam;
	}

	public Date getIndate() {
		return this.indate;
	}

	public String getMemo() {
		return this.memo;
	}

	public String getState() {
		return this.state;
	}

	public String getOutlistno() {
		return this.outlistno;
	}

	public String getUpflag() {
		return this.upflag;
	}

	public String getCreater() {
		return this.creater;
	}

	public Date getCreatedate() {
		return this.createdate;
	}

	public String getUpdater() {
		return this.updater;
	}

	public Date getUpdatedate() {
		return this.updatedate;
	}

	public void setOutbillno(String outbillno) {
		this.outbillno = outbillno;
	}

	public void setDistrbuteno(String distrbuteno) {
		this.distrbuteno = distrbuteno;
	}

	public void setBillNo(String billNo) {
		this.billNo = billNo;
	}

	public void setLineNo(String lineNo) {
		this.lineNo = lineNo;
	}

	public void setLoaddate(Date loaddate) {
		this.loaddate = loaddate;
	}

	public void setLoadoperator(String loadoperator) {
		this.loadoperator = loadoperator;
	}

	public void setObjectno(String objectno) {
		this.objectno = objectno;
	}

	public void setObjectnotype(String objectnotype) {
		this.objectnotype = objectnotype;
	}

	public void setMaterailtype(String materailtype) {
		this.materailtype = materailtype;
	}

	public void setSource(String source) {
		this.source = source;
	}

	public void setMaterailsupplier(String materailsupplier) {
		this.materailsupplier = materailsupplier;
	}

	public void setIsbox(String isbox) {
		this.isbox = isbox;
	}

	public void setBoxId(String boxId) {
		this.boxId = boxId;
	}

	public void setBoxDrawingNo(String boxDrawingNo) {
		this.boxDrawingNo = boxDrawingNo;
	}

	public void setBatchno(String batchno) {
		this.batchno = batchno;
	}

	public void setHeatno(String heatno) {
		this.heatno = heatno;
	}

	public void setSmpNo(String smpNo) {
		this.smpNo = smpNo;
	}

	public void setManagementno(String managementno) {
		this.managementno = managementno;
	}

	public void setStorageattr(String storageattr) {
		this.storageattr = storageattr;
	}

	public void setPrdCode(String prdCode) {
		this.prdCode = prdCode;
	}

	public void setPrdName(String prdName) {
		this.prdName = prdName;
	}

	public void setStdCode(String stdCode) {
		this.stdCode = stdCode;
	}

	public void setStdName(String stdName) {
		this.stdName = stdName;
	}

	public void setUsgCode(String usgCode) {
		this.usgCode = usgCode;
	}

	public void setUsgName(String usgName) {
		this.usgName = usgName;
	}

	public void setProduceline(String produceline) {
		this.produceline = produceline;
	}

	public void setPostid(String postid) {
		this.postid = postid;
	}

	public void setHeight(Double height) {
		this.height = height;
	}

	public void setWidth(Double width) {
		this.width = width;
	}

	public void setLength(Double length) {
		this.length = length;
	}

	public void setDiameter(Double diameter) {
		this.diameter = diameter;
	}

	public void setInterdiameter(Double interdiameter) {
		this.interdiameter = interdiameter;
	}

	public void setQuantity(Integer double1) {
		this.quantity = double1;
	}

	public void setTheoryweight(Double theoryweight) {
		this.theoryweight = theoryweight;
	}

	public void setCoreweight(Double coreweight) {
		this.coreweight = coreweight;
	}

	public void setGrossweight(Double grossweight) {
		this.grossweight = grossweight;
	}

	public void setPackweight(Double packweight) {
		this.packweight = packweight;
	}

	public void setFactweight(Double factweight) {
		this.factweight = factweight;
	}

	public void setCustomerNo(String customerNo) {
		this.customerNo = customerNo;
	}

	public void setCustomerNm(String customerNm) {
		this.customerNm = customerNm;
	}

	public void setReceivNo(String receivNo) {
		this.receivNo = receivNo;
	}

	public void setReceivNm(String receivNm) {
		this.receivNm = receivNm;
	}

	public void setOrderno(String orderno) {
		this.orderno = orderno;
	}

	public void setProdorderno(String prodorderno) {
		this.prodorderno = prodorderno;
	}

	public void setSteelcode(String steelcode) {
		this.steelcode = steelcode;
	}

	public void setJudgesteelcode(String judgesteelcode) {
		this.judgesteelcode = judgesteelcode;
	}

	public void setPackingGroup(String packingGroup) {
		this.packingGroup = packingGroup;
	}

	public void setChemresult(String chemresult) {
		this.chemresult = chemresult;
	}

	public void setSizeresult(String sizeresult) {
		this.sizeresult = sizeresult;
	}

	public void setSurfaceresult(String surfaceresult) {
		this.surfaceresult = surfaceresult;
	}

	public void setWeightresult(String weightresult) {
		this.weightresult = weightresult;
	}

	public void setJudgeresult(String judgeresult) {
		this.judgeresult = judgeresult;
	}

	public void setPhysresult(String physresult) {
		this.physresult = physresult;
	}

	public void setSpyresult(String spyresult) {
		this.spyresult = spyresult;
	}

	public void setProducedate(Date producedate) {
		this.producedate = producedate;
	}

	public void setProduceorder(String produceorder) {
		this.produceorder = produceorder;
	}

	public void setProduceteam(String produceteam) {
		this.produceteam = produceteam;
	}

	public void setInorder(String inorder) {
		this.inorder = inorder;
	}

	public void setInteam(String inteam) {
		this.inteam = inteam;
	}

	public void setIndate(Date indate) {
		this.indate = indate;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public void setState(String state) {
		this.state = state;
	}

	public void setOutlistno(String outlistno) {
		this.outlistno = outlistno;
	}

	public void setUpflag(String upflag) {
		this.upflag = upflag;
	}

	public void setCreater(String creater) {
		this.creater = creater;
	}

	public void setCreatedate(Date createdate) {
		this.createdate = createdate;
	}

	public void setUpdater(String updater) {
		this.updater = updater;
	}

	public void setUpdatedate(Date updatedate) {
		this.updatedate = updatedate;
	}

	//总理重
	private Double theoryweightsum;

	public Double getTheoryweightsum() {
		return theoryweightsum;
	}

	public void setTheoryweightsum(Double theoryweightsum) {
		this.theoryweightsum = theoryweightsum;
	}
	
	//总实重
	private Double factweightsum;

	public Double getFactweightsum() {
		return factweightsum;
	}

	public void setFactweightsum(Double factweightsum) {
		this.factweightsum = factweightsum;
	}
	
	
	//总实重
	private Double quantitysum;

	
	public Double getQuantitysum() {
		return quantitysum;
	}

	public void setQuantitysum(Double quantitysum) {
		this.quantitysum = quantitysum;
	}

	//位置
	private long locality;

	public long getLocality() {
		return locality;
	}

	public void setLocality(long locality) {
		this.locality = locality;
	}
	
	//货位编码
	private String buttressno;

	public String getButtressno() {
		return buttressno;
	}

	public void setButtressno(String buttressno) {
		this.buttressno = buttressno;
	}
	
	//货位名称
	private String buttressname;

	public String getButtressname() {
		return buttressname;
	}

	public void setButtressname(String buttressname) {
		this.buttressname = buttressname;
	}
	
	//区域编码
	private String areano;
	public String getAreano() {
		return areano;
	}

	public void setAreano(String areano) {
		this.areano = areano;
	}

	//区域名称
	private String areaname;

	public String getAreaname() {
		return areaname;
	}

	public void setAreaname(String areaname) {
		this.areaname = areaname;
	}
	
	//收货地址
	private String  reciver_address;
	public String getReciver_address() {
		return reciver_address;
	}

	public void setReciver_address(String reciver_address) {
		this.reciver_address = reciver_address;
	}
	
	//车号
		private String  carno;
		public String getCarno() {
			return carno;
		}

		public void setCarno(String carno) {
			this.carno = carno;
		}
		
	public long getLayer() {
			return layer;
		}

		public void setLayer(long layer) {
			this.layer = layer;
		}

	private long layer;
	
	//计重方式编号
	public String weight_type_no;


	public String getWeight_type_no() {
		return weight_type_no;
	}

	public void setWeight_type_no(String weight_type_no) {
		this.weight_type_no = weight_type_no;
	}
	
	private String storageattrname;

	public String getStorageattrname() {
		return storageattrname;
	}

	public void setStorageattrname(String storageattrname) {
		this.storageattrname = storageattrname;
	}
	
	//2019-02-22 赵淋支 理货单明细， 新增显示字段：原料卷号 materailcoilno，放在卷号的后面
	private String materailcoilno;
	public String getMaterailcoilno() {
		return materailcoilno;
	}
	public void setMaterailcoilno(String materailcoilno) {
		this.materailcoilno = materailcoilno;
	}
	
	private String bill_no;


	public String getBill_no() {
		return bill_no;
	}

	public void setBill_no(String bill_no) {
		this.bill_no = bill_no;
	}
	
	//包装重量
	private String pack_weight;
	public String getPack_weight() {
		return pack_weight;
	}
	public void setPack_weight(String pack_weight) {
		this.pack_weight = pack_weight;
	}
	//实绩包装
	private String pk_rlt_desc;
	public String getPk_rlt_desc() {
		return pk_rlt_desc;
	}
	public void setPk_rlt_desc(String pk_rlt_desc) {
		this.pk_rlt_desc = pk_rlt_desc;
	}
	
	//过磅扣重
	private String deduction;
	public String getDeduction() {
		return deduction;
	}
	public void setDeduction(String deduction) {
		this.deduction = deduction;
	}
	
}
